> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction Status Query

> This endpoint is used to check the status of a transaction using the transaction reference from the Momo Collection Request.



## OpenAPI

````yaml /openapi.json get /subsidiary/collections/v1/check-status
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
    description: >-
      The /live path is fixed and test transactions are performed by using the
      Test API Key with or without the X-TenantID header set to test.
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: The Branch API are used to fetch branches that belong to a business.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo, XOF and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
  - name: Payment Links
    description: The Payment Links API allows you to create and manage your payment links.
  - name: Split Settlements
    description: >-
      The Split Settlements API allows you to create and manage split
      settlements.
paths:
  /subsidiary/collections/v1/check-status:
    get:
      tags:
        - Momo, XOF And ZAR Collections
      summary: Transaction Status Query
      description: >-
        This endpoint is used to check the status of a transaction using the
        transaction reference from the Momo Collection Request.
      parameters:
        - name: transaction_reference
          in: query
          required: true
          schema:
            type: string
            default: UDH012345
          description: The unique identifier of the transaction
        - name: country_code
          in: query
          required: true
          schema:
            type: string
            default: GH
          description: >-
            The ISO Country Code. (ISO 3166-1 alpha-2) (GH-Ghana, TZ-Tanzania,
            UG - Uganda, KE-Kenya)
      responses:
        '200':
          description: Payment successful
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: >-
                      #/components/schemas/momoAndXofAndZarTransactionStatusQueryResponse
              examples:
                Before Payment:
                  summary: Before Payment Response
                  value:
                    response_code: '09'
                    transaction_reference: UDH012345
                    transaction_amount: 200.27
                    transaction_fee: 0
                    transaction_status: Initialized
                    payer_name: Robert Stones
                    payer_account_number: '233123456789'
                    start_date: '2024-05-21T20:14:01.254748'
                    end_date: 'null'
                    currency: GHS
                After Payment:
                  summary: After Payment Response
                  value:
                    response_code: '00'
                    transaction_reference: UDH012345
                    transaction_amount: 200.27
                    transaction_fee: 0
                    transaction_status: Completed
                    payer_name: Robert Stones
                    payer_account_number: '233123456789'
                    start_date: '2024-05-21T20:14:01.254748'
                    end_date: '2024-05-21T20:14:29.889059'
                    currency: GHS
        '400':
          description: Payment failed
      security:
        - ApiKeyAuth:
            - Payaza {{Public API Key In Base64}}
          TenantID:
            - test or live
          ProductID:
            - default value is ‟app”
components:
  schemas:
    momoAndXofAndZarTransactionStatusQueryResponse:
      title: Momo And ZAR Transaction Status Query
      type: object
      properties:
        response_code:
          type: string
          description: >-
            API response code indicating the status (e.g., '00' for success,
            '09' for pending).
          example: '00'
        transaction_reference:
          type: string
          description: Unique identifier for the transaction.
          example: UDH012345
        transaction_amount:
          type: number
          format: double
          description: The amount processed in the transaction.
          example: 200.27
        transaction_fee:
          type: number
          format: double
          description: Fee charged for the transaction.
          example: 0
        transaction_status:
          type: string
          description: >-
            Current status of the transaction (e.g., 'Completed',
            'Initialized').
          example: Completed
        payer_name:
          type: string
          nullable: true
          description: Name of the person making the payment.
          example: Robert Stones
        payer_account_number:
          type: string
          nullable: true
          description: Account number or identifier of the payer.
          example: '233123456789'
        start_date:
          type: string
          format: date-time
          description: Timestamp when the transaction was initiated.
          example: '2024-05-21T20:14:01.254748'
        end_date:
          type: string
          format: date-time
          nullable: true
          description: >-
            Timestamp when the transaction was completed. Can be null if still
            pending.
          example: '2024-05-21T20:14:29.889059'
        currency:
          type: string
          description: Currency code for the transaction.
          example: GHS
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.